[Python-modules-commits] r18251 - in packages/python-docutils/trunk/debian (5 files)

jwilk at users.alioth.debian.org jwilk at users.alioth.debian.org
Mon Aug 22 16:38:53 UTC 2011


    Date: Monday, August 22, 2011 @ 16:38:52
  Author: jwilk
Revision: 18251

Move obsolete alternative removal code to preinst.

Added:
  packages/python-docutils/trunk/debian/python-docutils.preinst
  packages/python-docutils/trunk/debian/python3-docutils.preinst
Modified:
  packages/python-docutils/trunk/debian/changelog
  packages/python-docutils/trunk/debian/python-docutils.postinst
  packages/python-docutils/trunk/debian/python3-docutils.postinst

Modified: packages/python-docutils/trunk/debian/changelog
===================================================================
--- packages/python-docutils/trunk/debian/changelog	2011-08-22 16:20:46 UTC (rev 18250)
+++ packages/python-docutils/trunk/debian/changelog	2011-08-22 16:38:52 UTC (rev 18251)
@@ -13,7 +13,7 @@
   * Use wildcards in debian/*.manpages.
   * Drop the docutils.readers.python reader.
   * Drop the rst2newlatex script.
-    + Remove alternatives in postinst.
+    + Remove alternatives in preinst.
   * Add reStructured Text to XeLaTeX converter: rst2xetex.
     + Add ttf-linux-libertine to python(3)-docutils Suggests.
   * Install XML/SGML catalogs (closes: #531170).

Modified: packages/python-docutils/trunk/debian/python-docutils.postinst
===================================================================
--- packages/python-docutils/trunk/debian/python-docutils.postinst	2011-08-22 16:20:46 UTC (rev 18250)
+++ packages/python-docutils/trunk/debian/python-docutils.postinst	2011-08-22 16:38:52 UTC (rev 18251)
@@ -20,7 +20,6 @@
 	do
 		update-alternatives --install /usr/bin/${exe##*/} ${exe##*/} $exe 30
 	done
-	update-alternatives --remove rst2newlatex /usr/share/docutils/scripts/python2/rst2newlatex
 fi
 
 #DEBHELPER#

Added: packages/python-docutils/trunk/debian/python-docutils.preinst
===================================================================
--- packages/python-docutils/trunk/debian/python-docutils.preinst	                        (rev 0)
+++ packages/python-docutils/trunk/debian/python-docutils.preinst	2011-08-22 16:38:52 UTC (rev 18251)
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+
+if [ "$1" = upgrade ] && dpkg --compare-versions "$2" -lt 0.8
+then
+	update-alternatives --remove rst2newlatex /usr/share/docutils/scripts/python2/rst2newlatex
+fi
+
+#DEBHELPER#

Modified: packages/python-docutils/trunk/debian/python3-docutils.postinst
===================================================================
--- packages/python-docutils/trunk/debian/python3-docutils.postinst	2011-08-22 16:20:46 UTC (rev 18250)
+++ packages/python-docutils/trunk/debian/python3-docutils.postinst	2011-08-22 16:38:52 UTC (rev 18251)
@@ -8,7 +8,6 @@
 	do
 		update-alternatives --install /usr/bin/${exe##*/} ${exe##*/} $exe 20
 	done
-	update-alternatives --remove rst2newlatex /usr/share/docutils/scripts/python3/rst2newlatex
 fi
 
 #DEBHELPER#

Added: packages/python-docutils/trunk/debian/python3-docutils.preinst
===================================================================
--- packages/python-docutils/trunk/debian/python3-docutils.preinst	                        (rev 0)
+++ packages/python-docutils/trunk/debian/python3-docutils.preinst	2011-08-22 16:38:52 UTC (rev 18251)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = upgrade ] && dpkg --compare-versions "$2" -lt 0.8
+then
+	update-alternatives --remove rst2newlatex /usr/share/docutils/scripts/python3/rst2newlatex
+fi
+
+#DEBHELPER#




More information about the Python-modules-commits mailing list